jclouds-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ignasi Barrera (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (JCLOUDS-786) Remove old swift api
Date Fri, 09 Oct 2015 22:46:05 GMT

    [ https://issues.apache.org/jira/browse/JCLOUDS-786?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14951329#comment-14951329
] 

Ignasi Barrera commented on JCLOUDS-786:
----------------------------------------

AFAIK our SoftLayer provider only implements compute methods (and it only supports the [compute
view|https://github.com/jclouds/jclouds/blob/master/providers/softlayer/src/main/java/org/jclouds/softlayer/SoftLayerApiMetadata.java#L68]).
I didn't know they also provide a swift-compatible API, but if that property mades the trick
I see no problem in adding it to the provider metadata default properties with an appropriate
comment explaining why that "foreign" property is there.

> Remove old swift api
> --------------------
>
>                 Key: JCLOUDS-786
>                 URL: https://issues.apache.org/jira/browse/JCLOUDS-786
>             Project: jclouds
>          Issue Type: Task
>          Components: jclouds-blobstore
>            Reporter: Adrian Cole
>              Labels: swift
>             Fix For: 2.0.0
>
>
> Particularly after JCLOUDS-523, users can switch off the rusting "swift" api  to the
new "openstack-swift" api using jclouds 1.8.2 and 1.9.0.
> This task tracks deletion of the old apis/swift and common/openstack modules that are
no longer necessary.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message